<h2>Ejercicio 5</h2>

<div>
  <form [formGroup]="form" (ngSubmit)="guardar()">
    
    <div class="columna1">
      <mat-form-field class="example-full-width" appearance="fill">
        <input 
        matInput 
        formControlName="nombre"
        type="text"
        required
        >
    </mat-form-field>

    <button mat-raised-button color="primary" type="button" (click)="adicionar()">ADICIONAR</button>

    </div>

    <div class="columna2">
      <div formArrayName="informacion" *ngFor="let s of informacion.controls; let i = index">
        <mat-checkbox type="checkbox" class="example-margin" [formControlName]="i">{{ name[i] }}</mat-checkbox>
        
        <!-- eliminar caja dinamica -->
        <button mat-raised-button color="warn" class="eliminar" (click)="borrarcheckbox(this.informacion.value.i)" type="button">ELIMINAR</button>
      </div>

      <br>
      
      <mat-form-field class="example-full-width" appearance="fill">
        <textarea matInput cols="30" rows="10" disabled class="textarea">{{ datos }}</textarea>
      </mat-form-field>
    </div>


    <div class="limpiar">
      <button type="button"  color="primary" (click)="vaciarcaja()" mat-raised-button>LIMPIAR</button>
    </div>

    <div class="guardar">
        <button mat-raised-button  color="primary" (click)="guardar()">GUARDAR</button>
    </div>




  </form>
</div>
